B&R Remote Desktop Client

General Information

With "B&R Remote Desktop Client", B&R provides a tool for easily configuring remote desktop connections to a "B&R Remote Desktop Server".

The documentation refers to the B&R Remote Desktop Clients for Windows XP/XPe with V01.11.
Version V01.11 or higher is recommended for the server software. More detailed information can be found in the Readme.txt file for the server software!

Client software runs in two different operating modes:

Configuration Mode

Runtime Mode

Various status messages are displayed in the status bar at the bottom.

This client software runs exclusively on B&R devices under Windows XP Professional and Windows XP embedded.

In this section the following topics are discussed:

B&R Remote Desktop Client

Configuration Mode

Runtime Mode

Start Page

Next Topic >>
Configuration Mode


Configuration Mode

In this section the following topics are discussed:

Configuration Mode

System Tray Menu

Configuration Tab

Performance Tab

Redirection Tab

Other Tab

User Configuration File

<< Previous Topic
B&R Remote Desktop Client

Start Page

Next Topic >>
System Tray Menu

Start of Chapter


System Tray Menu

After starting the software, the following icon appears in the system tray:

Clicking on this icon with the right mouse button opens the following menu:

Configuration Menu Item

Clicking on "Configuration" takes you to the following password dialog box:

By default, you can just click on OK.

"Security" Menu Item

The password for operating menus can be defined by clicking on this menu item:

About Menu Item

This menu item opens information about the program version:

"Exit" Menu Item

This menu item closes the program after the password has been Entered.

<< Previous Topic
Configuration Mode

Start Page

Next Topic >>
Configuration Tab


Configuration Tab

Simple Remote Desktop Mode

As long as the "Connect to Server" checkbox is not selected, the client software can be used as a completely normal remote desktop client.

On-Screen Keyboard

Clicking this button displays the following "On-Screen Keyboard":

Remotedesktop

After entering a resolution, server, user name and password, and selecting "Use Password", clicking on the "Remote Desktop" button establishes a normal remote desktop connection using the settings defined under "Performance", "Redirection", and "Other" tabs.

Connect to Server

Clicking on the "Save" button automatically switches to Runtime Mode if this checkbox is selected.

In addition, the "B&R Remote Desktop Client" software automatically starts with the stored configuration in Runtime mode each time the computer is started.

Server

The computer name or TCP/IP address of the "B&R RDP Server" is entered here.

If there is a point-to-point connection to the "B&R RDP Server" or there is no DHCP server present, the TCP/IP address of the server needs to be entered here.

Port

The same port number as on the "B&R RDP Server" must be entered here.

Set Default

Clicking on this button sets all entered value to their default values.

Save

Stores all settings and switches to Runtime Mode if the "Connect to Server" checkbox is selected.

<< Previous Topic
System Tray Menu

Start Page

Next Topic >>
Performance Tab


Performance Tab

Clicking on the "Performance" tab displays the following overview:

Selecting the desired checkbox will choose the corresponding performance option.

<< Previous Topic
Configuration Tab

Start Page

Next Topic >>
Redirection Tab


Redirection Tab

Clicking on the "Redirection" tab displays the following overview:

Selecting the desired checkbox will choose the corresponding redirection option.

<< Previous Topic
Performance Tab

Start Page

Next Topic >>
Other Tab


Other Tab

Clicking on the "Other" tab displays the following overview:

Selecting the desired checkbox will choose the corresponding option.

<< Previous Topic
Redirection Tab

Start Page

Next Topic >>
User Configuration File


User Configuration File

Starting with this client version, the user is able to define user-specific actions in a separate user configuration file.
The configuration file must be created under the installation path of the client, using the name "User.cfg".
The file structure corresponds to a standard windows Ini file.

File Structure

The following entries are possible:

[UserConfig]
TryConnectActionCnt=5
UserProcessName=C:\Windows\Notepad.exe

[UserConfig]

This entry must always be present.

TryConnectActionCnt

This entry is used to define what should be passed onto the server after <n> defined unsuccessful connection attempts.
As long as "UserProcessName" has been defined, the user process is started after <n> unsuccessful connection attempts.

The value can be somewhere between 0 and 50.

UserProcessName

The defined user process is started after "TryConnectActionCnt" has elapsed.
The client waits until the user process is completed, and does not perform any other actions.

When the user process is complete, a new attempt is made to connect to the server.
If a connection to the server is still not possible after "TryConnectActionCnt" has elapsed, then "UserProcessName" is started again.

The user configuration file only needs to be created when user-specific actions are desired. This file is unnecessary in all other cases!

<< Previous Topic
Other Tab

Start Page

Next Topic >>
Runtime Mode


Runtime Mode

In this section the following topics are discussed:

Runtime Mode

Runtime Overview

<< Previous Topic
User Configuration File

Start Page

Next Topic >>
Runtime Overview


Runtime Overview

The following overview is displayed if the client has been started:

On-Screen Keyboard

Clicking this button displays the following "On-Screen Keyboard":

User Name

Clicking on the "User Name" combo box allows you to select a name to use when connecting with the server via Remote Desktop.

Remote Desktop

A connection to the server via Remote Desktop can be made by clicking the button, Remote Desktop.
The user name, password, and resolution are sent from the "B&R RDP Server" to the "B&R RDP Client".

Input therefore does not need to be entered on the client.

Status LED

The status LED indicates the following connection states for the user:

Green:

No other client is connected to the server. A remote desktop connection can be made from the client to the server.

The following is shown in the status bar:

Yellow:

Another client is connected to the server. The name of the client currently connected to the server is shown in the status bar. A remote desktop connection can be made from the client to the server.

The following is shown in the status bar:

Red:

The server blocked permission for connection via remote desktop. The status bar shows whether a client is currently connected to the server. The remote desktop button cannot be pressed until the server re-enables the remote desktop connection.

The following is shown in the status bar:

Restart

Pressing the "Restart" button restarts the "B&R RDP Server" and all "B&R RDP Clients" connected to it.

Turn Off

Pressing the "Turn Off" button turns off the "B&R RDP Server" and all "B&R RDP Clients" connected to it.

<< Previous Topic
Runtime Mode

Start Page